Package groovy.lang

# Class ExpandoMetaClass.ExpandoMetaConstructor

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.ExpandoMetaClass.ExpandoMetaConstructor

All Implemented Interfaces:
  `GroovyObject`

Enclosing class:
  `ExpandoMetaClass`

protected class ExpandoMetaClass.ExpandoMetaConstructor extends GroovyObjectSupport
Handles the ability to use the left shift operator to append new constructors

Author:
  Graeme Rocher

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExpandoMetaConstructor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`leftShift(Closure c)`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpandoMetaConstructor

protected ExpandoMetaConstructor()

## Method Details

### leftShift

public Object leftShift(Closure c)